Summary:       A X front-end for the Ghostscript PostScript(TM) interpreter
Name:          gv
Version:       3.7.4
Release:       6%{?dist}
License:       GPLv3+
URL:           http://www.gnu.org/software/gv/
Source0:       https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:       gv.png
# https://savannah.gnu.org/bugs/?38727
Patch0000:     gv-resource.patch
# http://savannah.gnu.org/patch/?7998
Patch0001:     gv-dat.patch
# https://savannah.gnu.org/patch/?10096
Patch0002:     gv-overflow.patch
Patch3000:     gv-aarch64.patch
Patch3001:     gv-bounding-box.patch
Patch3002:     gv-bug1071238.patch
Patch3003:     gv-bz1536211.patch

BuildRequires: gcc make
BuildRequires: zlib-devel bzip2-devel /usr/bin/makeinfo
BuildRequires: Xaw3d-devel libXinerama-devel desktop-file-utils
Requires:      ghostscript-x11

%description
GNU gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.


%prep
%setup -q
%patch0000 -p1
%patch0001 -p1
%patch0002 -p2
%patch3000 -p1
%patch3001 -p2
%patch3002 -p1
%patch3003 -p1


%build
%configure
%make_build


%install
%make_install
ln %{buildroot}%{_bindir}/gv %{buildroot}%{_bindir}/ghostview
mkdir -p %{buildroot}%{_datadir}/applications

cat > gv.desktop <<EOF
[Desktop Entry]
Name=GNU GV PostScript/PDF Viewer
GenericName=PostScript/PDF Viewer
Comment="View PostScript and PDF files"
Type=Application
Icon=gv
MimeType=application/postscript;application/pdf;
StartupWMClass=GV
Exec=gv %f
EOF

desktop-file-install \
       --add-category=Applications\
       --add-category=Graphics \
       --dir %{buildroot}%{_datadir}/applications/ \
       gv.desktop

mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p %SOURCE1 %{buildroot}%{_datadir}/pixmaps

rm -f %{buildroot}%{_infodir}/dir


%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/ghostview
%{_bindir}/gv
%{_bindir}/gv-update-userconfig
%{_datadir}/gv/
%{_datadir}/applications/gv.desktop
%{_datadir}/info/gv.info.gz
%{_datadir}/pixmaps/gv.png
%{_mandir}/man1/gv.*
%{_mandir}/man1/gv-update-userconfig.*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.4-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.4-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.4-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 rockerzhu <rockerzhu@tencent.com> - 3.7.4-1
- Initial build
